Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class XmlOutput

    java.lang.Object
      org.jbehave.core.reporters.PrintStreamOutput
          org.jbehave.core.reporters.XmlOutput

All Implemented Interfaces:
  StoryReporter

    public class XmlOutput

extends PrintStreamOutput

Story reporter that outputs to a PrintStream, as XML. It extends `PrintStreamOutput`, providing XML-based default output patterns, which can be overridden via the `(PrintStream,Properties)` constructor.

Author:
  Mauro Talevi

Nested Class Summary

Nested classes/interfaces inherited from class org.jbehave.core.reporters.PrintStreamOutput
`PrintStreamOutput.Format`

Constructor Summary
`XmlOutput(PrintStream output)`
`XmlOutput(PrintStream output, Keywords keywords)`
`XmlOutput(PrintStream output, Properties outputPatterns)`
`XmlOutput(PrintStream output, Properties outputPatterns, Keywords keywords)`
`XmlOutput(PrintStream output, Properties outputPatterns, Keywords keywords, boolean reportFailureTrace)`
`XmlOutput(PrintStream output, Properties outputPatterns, Keywords keywords, boolean reportFailureTrace, boolean compressFailureTrace)`

Method Summary

Methods inherited from class org.jbehave.core.reporters.PrintStreamOutput
`afterExamples, afterScenario, afterStory, beforeExamples, beforeScenario, beforeStep, beforeStory, compressFailureTrace, doCompressFailureTrace, doReportFailureTrace, dryRun, escape, example, failed, failedOutcomes, format, formatTable, givenStories, givenStories, ignorable, lookupPattern, narrative, notPerformed, overwritePattern, pending, pendingMethods, print, reportFailureTrace, restarted, scenarioMeta, scenarioNotAllowed, storyCancelled, storyNotAllowed, successful, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlOutput

    public XmlOutput(PrintStream output)

### XmlOutput

    public XmlOutput(PrintStream output,
                     Properties outputPatterns)

### XmlOutput

    public XmlOutput(PrintStream output,
                     Keywords keywords)

### XmlOutput

    public XmlOutput(PrintStream output,
                     Properties outputPatterns,
                     Keywords keywords)

### XmlOutput

    public XmlOutput(PrintStream output,
                     Properties outputPatterns,
                     Keywords keywords,
                     boolean reportFailureTrace)

### XmlOutput

    public XmlOutput(PrintStream output,
                     Properties outputPatterns,
                     Keywords keywords,
                     boolean reportFailureTrace,
                     boolean compressFailureTrace)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.